Przejdź do głównej zawartości

stockTake

Dla: Programista

ZapytanieBetaQuery.stockTake

One stock take by its identifier; null when there is no such stock take.

Wymagany zakreswarehouse:read
Dostępne odPrynt 0.28.0
StabilnośćBeta (co to znaczy)

Argumenty

NazwaTypOpis
idwymaganeID!

Identifier of the stock take.

Zwraca

StockTake

Przykład

Zapytanie
query StockTake($id: ID!) {
stockTake(id: $id) {
id
code
name
scope
status
startedAt
completedAt
notes
}
}
Zmienne
{
"id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b0a"
}
Wywołanie (curl)
curl -sS https://twoja-drukarnia.prynt.pl/api/v1/graphql \
-H "Authorization: Bearer $PRYNT_API_KEY" \
-H "Content-Type: application/json" \
--data-binary @- <<'JSON'
{
"query": "query StockTake($id: ID!) {\n stockTake(id: $id) {\n id\n code\n name\n scope\n status\n startedAt\n completedAt\n notes\n }\n}",
"variables": {
"id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b0a"
}
}
JSON
Odpowiedź
{
"data": {
"stockTake": {
"id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b0a",
"code": "INV-2026-03",
"name": "Inwentaryzacja kwartalna",
"scope": "PAINTS",
"status": "APPROVED",
"startedAt": "2026-09-30T07:00:00.000Z",
"completedAt": "2026-09-30T15:10:00.000Z",
"notes": null
}
}
}